%define _altdata_dir %_datadir/alterator

Name: alterator-lookout
Version: 1.2
Release: alt3.M41.3

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar

Summary: dialog based interface for alterator
License: GPL
Group: System/Configuration/Other
Requires: alterator > 3.8-alt4
Conflicts: alterator-browser-qt < 2.9.88-alt1

BuildPreReq: alterator >= 3.2-alt6, alterator-l10n

# Automatically added by buildreq on Fri Dec 08 2006
BuildRequires: alterator

%description
dialog based interface for alterator

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot

%find_lang %name

%files -f %name.lang
%_bindir/*
%_altdata_dir/interfaces
%_altdata_dir/ui/*

%changelog
* Mon Dec 29 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.2-alt3.M41.3
- fix popup translations

* Tue Nov 11 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt3.M41.2
- little unification of enumref algorithms

* Tue Aug 05 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt3.M41.1
- build for 4.1

* Mon Aug 04 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt4
- move string-list-index to (alterator algo)

* Mon Jul 28 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt3
- don't use (alterator r6rs)

* Wed Jul 02 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt2
- document:url is always string

* Tue Jul 01 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt1
- update i18n: builtin po-domain and _ functions
- add effect-enable, effect-hide

* Mon Jun 30 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt11
- remove update-constraints function

* Wed Jun 25 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt10
- move strong and bold to default library

* Mon Jun 23 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt9
- rename: effect-init -> init-effect, effect-update -> update-effect

* Fri Jun 20 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt8
- add effect-show

* Fri Jun 20 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt7
- create common effects library
- add effect-update

* Thu Jun 19 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt6
- add support for effect-disable

* Thu Jun 19 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt5
- add simple DOM (getElementsByName)
- remove header meta-attribute

* Thu Jun 19 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt4
- add hidden attributes
- remove keywords
- remove with-init-attributes function

* Tue Jun 17 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt3
- fix translation

* Tue Jun 17 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt2
- fix build

* Sat Jun 07 2008 Stanislav Ievlev <inger@altlinux.org> 1.1-alt1
- document:subdocument can work without argument now
- new simplified frame:page function
- remove sub-type attribute

* Fri Jun 06 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt4
- remove unused code (timers)
- silent-set: allow to work with '() values
- fix checklist-rows meta-attribute initialization

* Tue Jun 03 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt3
- resurrect checklist for alterator-vm

* Fri May 30 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt2
- remove checklist support
- fix clear-cell function
- join to common translation database

* Wed May 28 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1
- add checklistbox support

* Mon May 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt5
- remove apply-actions helper
- "value" and "enumref" attribures now works in more flexible way.

* Fri May 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt3
- fix action-add

* Tue May 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt2
- enumref: add support for additional attributes

* Mon May 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt1
- add support for enumref meta-attribute (smart select)
- fix define-init-attribute macro

* Sun May 04 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt1
- move widgets and attributes to common evaluation place

* Thu Apr 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt3
- remove (alterator glob) usage

* Wed Apr 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- add attributes: step-text step-pixmap action-text action-pixmap

* Tue Apr 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- finally remove atlas

* Mon Apr 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- remove atlas
- add init-cell functions

* Mon Apr 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- add common /std/frame

* Fri Apr 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- remove old profile.d support
- remove /std/auth
- add make-widget for simple widgets
- remove map file

* Wed Apr 09 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt4
- add active attribute (for radiolist)

* Fri Apr 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt3
- remove map/samples.map
- remove unused attributes mask position active layout-policy children-align background-color full-screen

* Wed Mar 12 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt2
- remove backend2/atlas
- getting paths from ALTERATOR_DATADIR env.var. in interfaces/guile/atlas.scm

* Thu Mar 06 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add attributes: colspan, rowspan, url

* Thu Jun 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10
- move woo-list/name+label to main alterator library

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- new usefull functions: name+label , woo-list/name+label

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- add splitbox

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- add Ukrainian translation

* Wed Apr 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- add tab-index attribute

* Tue Mar 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add dateedit,timeedit widgets
- add expanded attribute
- remove expanded helper function

* Tue Feb 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- remove unused document:window
- add current-text attribute declaration
- add spinbox widget declaration
- remove widget visibility forcing during replace operation (it's a problem of browser now)

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- add gridbox and text-wrap
- hbox and vbox became wrappers over more general box widget

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add separator and orientation

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add atlas backend

* Wed Jan 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- change socket path

* Tue Jan 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- add support for cursor attribute

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- remove dbus support

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- move atlas,context and alterator-pp here

* Thu Dec 21 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add support for mailboxes (simplest message passing engine, replacement of dbus)
- remove deprecated widgets

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
